# Uncomment the next line to define a global platform for your project
platform :ios, '15.0'

source 'https://mirrors.tuna.tsinghua.edu.cn/git/CocoaPods/Specs.git'

target 'Gami' do
  # Comment the next line if you don't want to use dynamic frameworks
  use_frameworks!

  # # 腾讯IM
  pod 'TIMCommon', :path => "./ThirdParty/TUIKit/TIMCommon"
  pod 'TUIChat', :path => "./ThirdParty/TUIKit/TUIChat"
  pod 'TIMPush'
  pod 'RTCRoomEngine'
  
  pod 'DoraemonKit', :configurations => ['Debug']
  
  pod 'Adjust'

end

post_install do |installer|
  installer.pods_project.targets.each do |target|
    target.build_configurations.each do |config|
      # 强制所有库使用 iOS 15 作为最低版本
      config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '15.0'
    end
  end
end
